Subject: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs

From: Eric Froemling <[email-masked]>
Date: Fri, 27 Jun 2014 10:30:04 -0700

I generally run into the slowdown maybe once every half-hour during real-world usage; a common trigger seems to be mouse clicks, drags, or scrolls, though I haven’t been able to pin down any predictable repro. cases aside from the shake-the-divider one.

As a janky workaround, I’ve found that switching to a different desktop and back during a slow redraw allows all the buffered draws to go through instantly; not sure if that implies anything useful.

-Eric

On Jun 27, 2014, at 10:13 AM, Jan Djärv <[email-masked]> wrote:

> The "shake the divider" case becomes much worse, lots of flickering and incomplete text.
> Wheter it prevents the slow redraws in real usage is hard to tell.  It is not easily reproduced in normal Emacs usage.